Bug 89533 - using kickstart, typo of --opts line in device hints causes segmentation fault (signal 11)
Summary: using kickstart, typo of --opts line in device hints causes segmentation faul...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-23 20:47 UTC by Peter J. Dohm
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-18 20:46:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter J. Dohm 2003-04-23 20:47:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
a device line of the following form will cause a signal 11 against the anaconda
python interpreter:

device eth 3c59x options=0 full_duplex=0

the PROPER form of this line should be something of the form:

device eth 3c59x --opts=0 full_duplex=0

this is tickling some bug in anaconda, apparently.

not critical, but figured it could be improved upon.



Version-Release number of selected component (if applicable):
anaconda-2.3-25

How reproducible:
Always

Steps to Reproduce:
1. put a goofed up device hint in ks.cfg
2. boot the kickstart floppy
3. cry
    

Actual Results:  a segmentation fault (signal 11) of the anaconda installer

Expected Results:  an error message suggesting that the 3c59x driver failed to
load appropriately would be desirable for clarity.

Additional info:

Comment 1 Michael Fulbright 2003-05-06 19:50:14 UTC
I cant reproduce this problem, but I dont have the nic in question.

Is the issue the fact that the errant options to the driver cause it not to
load, so later anaconda fails?

Comment 2 Michael Fulbright 2003-06-18 20:46:21 UTC
Closing due to inactivity - please reopen if you have additional information to add.


Note You need to log in before you can comment on or make changes to this bug.